# ACE_Singleton_Strategy< SVC_HANDLER > Class Template Reference

Defines the interface for specifying a creation strategy for a <svc_handler> that always returns the same <svc_handler> (i.e., it's a Singleton). More...

`#include <Strategies_T.h>`

Inheritance diagram for ACE_Singleton_Strategy< SVC_HANDLER >:

[legend]
Collaboration diagram for ACE_Singleton_Strategy< SVC_HANDLER >:

[legend]
List of all members.

## Public Types

typedef ACE_Creation_Strategy< SVC_HANDLER > | base_type

## Public Member Functions

| ACE_Singleton_Strategy (SVC_HANDLER *=0, ACE_Thread_Manager *=0)
int | open (SVC_HANDLER *, ACE_Thread_Manager *=0)
virtual | ~ACE_Singleton_Strategy (void)
virtual int | make_svc_handler (SVC_HANDLER *&)
void | dump (void) const
| Dump the state of an object.

## Public Attributes

| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.

## Protected Attributes

SVC_HANDLER * | svc_handler_
| Pointer to the Singleton svc_handler.
int | delete_svc_handler_
| Keep track of whether we need to delete the <svc_handler>.

## Detailed Description

### template<class SVC_HANDLER>
class ACE_Singleton_Strategy< SVC_HANDLER >

Defines the interface for specifying a creation strategy for a <svc_handler> that always returns the same <svc_handler> (i.e., it's a Singleton).

Note that this class takes over the ownership of the SVC_HANDLER passed into it as a parameter and it becomes responsible for deleting this object.

## Member Typedef Documentation

template<class SVC_HANDLER>
typedef ACE_Creation_Strategy<SVC_HANDLER> ACE_Singleton_Strategy< SVC_HANDLER >::base_type

## Constructor & Destructor Documentation

template<class SVC_HANDLER>
ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE ACE_Singleton_Strategy< SVC_HANDLER >::ACE_Singleton_Strategy | ( | SVC_HANDLER * | = `0`,
|  | ACE_Thread_Manager * | = `0`
| ) |

template<class SVC_HANDLER>
ACE_Singleton_Strategy< SVC_HANDLER >::~ACE_Singleton_Strategy | ( | void |  | ) | `[virtual]`

## Member Function Documentation

template<class SVC_HANDLER>
void ACE_Singleton_Strategy< SVC_HANDLER >::dump | ( | void |  | ) | const

| Dump the state of an object. Reimplemented from ACE_Creation_Strategy< SVC_HANDLER >.

template<class SVC_HANDLER>
int ACE_Singleton_Strategy< SVC_HANDLER >::make_svc_handler | ( | SVC_HANDLER *& |  | ) | `[virtual]`

| Create a Singleton SVC_HANDLER by always returning the same SVC_HANDLER. Returns -1 on failure, else 0. Reimplemented from ACE_Creation_Strategy< SVC_HANDLER >.

template<class SVC_HANDLER>
int ACE_Singleton_Strategy< SVC_HANDLER >::open | ( | SVC_HANDLER * | ,
|  | ACE_Thread_Manager * | = `0`
| ) |

## Member Data Documentation

template<class SVC_HANDLER>
ACE_Singleton_Strategy< SVC_HANDLER >::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented from ACE_Creation_Strategy< SVC_HANDLER >.

template<class SVC_HANDLER>
int ACE_Singleton_Strategy< SVC_HANDLER >::delete_svc_handler_`[protected]`

| Keep track of whether we need to delete the <svc_handler>.

template<class SVC_HANDLER>
SVC_HANDLER* ACE_Singleton_Strategy< SVC_HANDLER >::svc_handler_`[protected]`

| Pointer to the Singleton svc_handler.

The documentation for this class was generated from the following files:

- Strategies_T.h
- Strategies_T.cpp
- Strategies_T.inl